﻿@model IEnumerable<eCommerce.Services.Model.Exchange>
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Cambios";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Cambios</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Exchanges/ExchangeUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVO CAMBIO</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_ExchangeList", Model)
        </div>
    </div>

</div>


@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function fDelete(Id)
        {
            $.ajax({
                url: "/Refunds/ExchangeDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    
                    swal("Eliminado!", "", "success");
                }
            });
        }
        
        function fDeleteDialog(rmaId)
        {
            var rmaId = rmaId;
            swal({
                title: "Confirma su acción de Eliminar?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(rmaId);
                }
            });
        }

        
    </script>

}

